/*
 *   Copyright 2012 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.ws.rs;

import java.util.List;

import javax.ws.rs.DefaultValue;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.Response;

import net.brutex.xservices.types.FileInfoType;



@Path("/FileService/")
@Produces ("application/xml")
public interface FileInfo {

/**
 * @param dir
 * @param withDir
 * @param withFiles
 * @param depth
 * @param search
 * @param count
 * @param page
 * @return List of File
 */
@GET
@Path("getFiles/")
public Response getFiles(@Context HttpHeaders h,
		@QueryParam("directory") String dir,
		@QueryParam("includeDirectories") @DefaultValue("0") boolean withDir,
		@QueryParam("includeFiles") @DefaultValue("1")  boolean withFiles,
		@QueryParam("depth") @DefaultValue("1") int depth,
		@QueryParam("search") String search,
		@QueryParam("itemsPerPage") @DefaultValue("50") int count,
		@QueryParam("page") @DefaultValue("1") int page);

}



